//-------------------------------------------------------------
// beam_particle.h:  a single particle in a beam system
//					 a chain of particles is attached to make
//					 a continuous beam
//-------------------------------------------------------------

#ifndef BEAM_PARTICLE_H
#define BEAM_PARTICLE_H

//-------------------------------------------------------------
// includes / defines
//-------------------------------------------------------------
#include <d3dx9.h>				// DirectX 9

//-------------------------------------------------------------
// particle class - a single particle in 3d space
//-------------------------------------------------------------
class beam_particle
{
	public:

	D3DXVECTOR3 position;			// position in space
	D3DXVECTOR3 velocity;			// speed and direction

	beam_particle();				// default contstructor
	~beam_particle();
	beam_particle(float pos_x, float pos_y, float pos_z,
				  float vel_x, float vel_y, float vel_z); 
};

//-------------------------------------------------------------
// default constructor
//-------------------------------------------------------------
beam_particle::beam_particle()
{
	position.x=0.0f;
	position.y=0.0f;
	position.z=0.0f;
	velocity.x=0.0f;
	velocity.y=0.0f;
	velocity.z=0.0f;
}

//-------------------------------------------------------------
// destructor
//-------------------------------------------------------------
beam_particle::~beam_particle()
{}

//-------------------------------------------------------------
// custom contstructor
//-------------------------------------------------------------
beam_particle::beam_particle(float pos_x, float pos_y, float pos_z,
							 float vel_x, float vel_y, float vel_z)
{
	position.x=pos_x;
	position.y=pos_y;
	position.z=pos_z;
	velocity.x=vel_x;
	velocity.y=vel_y;
	velocity.z=vel_z;
}	

#endif