//-------------------------------------------------------------------------------
//	Setup Billboards - calculate right and up vectors for particle billboarding
//					 - required to run once once per frame 
//-------------------------------------------------------------------------------
#ifndef BILLBOARD_H
#define BILLBOARD_H

void SetupBillboards(D3DXVECTOR3 &right, D3DXVECTOR3 &up)
{
	float MODELVIEW_MATRIX[16];			// where the GL_MODELVIEW_MATRIX is stored

	glGetFloatv(GL_MODELVIEW_MATRIX,	// get the model view matrix
			    MODELVIEW_MATRIX);

	right.x=MODELVIEW_MATRIX[0]; 		// set right billboard offset
	right.y=MODELVIEW_MATRIX[4];
	right.z=MODELVIEW_MATRIX[8];

	up.x=MODELVIEW_MATRIX[1];			// set up billboard offset
	up.y=MODELVIEW_MATRIX[5];
	up.z=MODELVIEW_MATRIX[9];
}

#endif