//---------------------------------------------------------------------
// CPPNConnection.h - weighted Connection in an artificial neural net
//				   - by Erin Hastings ejhastings@gmail.com
//---------------------------------------------------------------------
#ifndef CPPN_CONNECTION_H
#define CPPN_CONNECTION_H

//---------------------------------------------------------------------
// includes
//---------------------------------------------------------------------
#include "CPPNNode.h"
using namespace std;

//---------------------------------------------------------------------
// Connection - a weighted Connection between 2 Nodes of the network
//---------------------------------------------------------------------
class Connection
{
	public:	
		
	// variables
	int from;						
	int to;						
	float weight;				

	// constructors, destructors
	Connection();							
	~Connection();										
};

//---------------------------------------------------------------------
// Connection() - constructor
//---------------------------------------------------------------------
Connection::Connection() 
{ 
	to=0; 
	from=0;
	weight=0.0f;
}

//---------------------------------------------------------------------
// ~Connection() - destructor
//---------------------------------------------------------------------
Connection::~Connection() {}

#endif