//-------------------------------------------------------------
// Lines.h - some OpenGL line drawing functions
//-------------------------------------------------------------
#ifndef LINES_H
#define LINES_H

//-------------------------------------------------------------
// Draw a line given 2 vertices and a color
//-------------------------------------------------------------
void DrawLine(float color[3], float v1[3], float v2[3])
{
	glBegin(GL_LINES);
	glColor3fv(color);		// set color
		glVertex3fv(v1);	// vertex 1
		glVertex3fv(v2);	// vertex 2
	glEnd();
}

//-------------------------------------------------------------
// Draw a set of axis, for debugging purposes
//-------------------------------------------------------------
void DrawAxis(void)
{
	float min = -10.0f;
	float max = 10.0f;

	glBegin(GL_LINES);
		glColor3f(1.0f, 0.0f, 0.0f);	// x-axis red
		glVertex3f(min, 0.0f, 0.0f);
		glVertex3f(max, 0.0f, 0.0f);

		glColor3f(0.0f, 1.0f, 0.0f);	// y-axis green
		glVertex3f(0.0f, min, 0.0f);
		glVertex3f(0.0f, max, 0.0f);

		glColor3f(0.0f, 0.0f, 1.0f);	// z-axis blue
		glVertex3f(0.0f, 0.0f, min);
		glVertex3f(0.0f, 0.0f, max);
	glEnd();
}

#endif