//-------------------------------------------------------------
// particle.h:  particle class - a single particle
//				particle_system class - a group of particles
//-------------------------------------------------------------
#ifndef PARTICLE_H
#define PARTICLE_H

//-------------------------------------------------------------
// particle class - a single particle in 3d space
//-------------------------------------------------------------
class particle
{
	public:

	D3DXVECTOR3 position;			// position in space
	D3DXVECTOR3 velocity;			// speed and direction
	D3DXVECTOR3 color;				// color
	float time_to_live;				// lifespan
	float time;						// time since spawn		
	float size;						// size of particle

	particle();						// default contstructor
	~particle();
	particle(float pos_x, float pos_y, float pos_z,
			 float vel_x, float vel_y, float vel_z,
			 float col_x, float col_y, float col_z,
			 float ttl, float size); 
};

//-------------------------------------------------------------
// constructor
//-------------------------------------------------------------
particle::particle()
{
	position.x=0.0f;
	position.y=0.0f;
	position.z=0.0f;
	velocity.x=0.0f;
	velocity.y=0.0f;
	velocity.z=0.0f;
	color.x=0.0f;
	color.y=0.0f;
	color.z=0.0f;
	time_to_live=0.1f;
	time=0.0f;
	size=1.0f;	
}

//-------------------------------------------------------------
// destructor
//-------------------------------------------------------------
particle::~particle()
{}

//-------------------------------------------------------------
// constructor
//-------------------------------------------------------------
particle::particle(float pos_x, float pos_y, float pos_z,
				   float vel_x, float vel_y, float vel_z,
				   float col_x, float col_y, float col_z,
				   float ttl, float s)
{
	position.x=pos_x;
	position.y=pos_y;
	position.z=pos_z;
	velocity.x=vel_x;
	velocity.y=vel_y;
	velocity.z=vel_z;
	color.x=col_x;
	color.y=col_y;
	color.z=col_z;
	time_to_live=ttl;
	size=s;
	time=0.0f;
}	

#endif