//-------------------------------------------------------------
// random.h - functions to generate random numbers
//-------------------------------------------------------------

#ifndef RANDOM_H
#define RANDOM_H

//-------------------------------------------------------------
// getRandomFloat - returns a random float between min and max
//				  - must min and max assumed > 0
//-------------------------------------------------------------
inline float getRandomFloat(float min, float max)
{
	float range = max - min;
	return  ( (range*rand()) / (RAND_MAX+1)) + min; 
}

//-------------------------------------------------------------
// getRandomInt - returns a random int between min and max
//				- must min and max assumed > 0
//-------------------------------------------------------------
inline int getRandomInt(int min, int max)
{
	int range = max - min + 1;
	return  ( (range*rand()) / (RAND_MAX+1)) + min; 
}

#endif
