//-------------------------------------------------------------
// rotators_particle.h: rotating particle system
//						drops trail particles behind it
//-------------------------------------------------------------
#ifndef ROTATOR_PARTICLE_H
#define ROTATOR_PARTICLE_H

//-------------------------------------------------------------
// particle class - a single particle in 3d space
//-------------------------------------------------------------
class rotator_particle
{
	public:

	D3DXVECTOR3 position;				// position
	D3DXVECTOR3 color;					// color
	float size;							// size
	float angle_x;						// rotation on x axis
	float angle_y;						// rotation on y axis
	float angle_z;						// rotation on z axis
	float x_increment;					// amount of rotation per second
	float y_increment;					// amount of rotation per second
	float z_increment;					// amount of rotation per second
	bool active;

	float time_to_live;					// lifespan
	float time;							// time since spawn	

	rotator_particle();					// default contstructor
	~rotator_particle();				// destructor
};

//-------------------------------------------------------------
// default constructor
//-------------------------------------------------------------
rotator_particle::rotator_particle()
{
	position.x=5.0f;
	position.y=0.0f;
	position.z=0.0f;

	color.x=0.0f;
	color.y=0.0f;
	color.z=1.0f;

	angle_x=0.0f;
	angle_y=0.0f;
	angle_z=0.0f;

	x_increment=0.0f;					
	y_increment=0.0f;					
	z_increment=0.0f;					

	size = 1.0f;
	time_to_live=getRandomFloat(0.0f, 5.0f);
	time=0.0f;
	active = false;
}

//-------------------------------------------------------------
// destructor
//-------------------------------------------------------------
rotator_particle::~rotator_particle()
{}

#endif