//-------------------------------------------------------------
// trail_particle.h:  trail_particle class, a single trail_particle
//-------------------------------------------------------------

#ifndef TRAIL_PARTICLE_H
#define TRAIL_PARTICLE_H

//-------------------------------------------------------------
// includes / defines
//-------------------------------------------------------------
#include <d3dx9.h>				// DirectX 9

//-------------------------------------------------------------
// trail_particle class - a single trail_particle in 3d space
//-------------------------------------------------------------
class trail_particle
{
	public:

	D3DXVECTOR3 velocity;					// velocity of particle
	D3DXVECTOR3 position;					// position of particle
	D3DXVECTOR3 color;						// color of particle
	vector <D3DXVECTOR3> position_vector;	// trail positions
	vector <float> size_vector;				// trail size
	float time;								// life so far
	float drop_timer;						// when to drop particles
	float time_to_live;						// lifespan
	int front;								// front particle
	float size;								// size


	trail_particle();						// default contstructor
	~trail_particle();
};

//-------------------------------------------------------------
// constructor
//-------------------------------------------------------------
trail_particle::trail_particle()
{
	// initialize main particle variables
	front=0;
	time=0.0f;
	drop_timer = 0.0f;
	time_to_live=getRandomFloat(5.0f, 10.0f);
	size=1.0f;
	velocity.x= -1.0f+getRandomFloat(0.0f, 2.0f);
	velocity.y= -1.0f+getRandomFloat(0.0f, 2.0f);
	velocity.z= -1.0f+getRandomFloat(0.0f, 2.0f);
	position.x= -2.0f+getRandomFloat(0.0f, 4.0f);
	position.y= -2.0f+getRandomFloat(0.0f, 4.0f);
	position.z= -2.0f+getRandomFloat(0.0f, 4.0f);
	color.x=getRandomFloat(0.2f, 1.0f);
	color.y=getRandomFloat(0.2f, 1.0f);
	color.z=getRandomFloat(0.2f, 1.0f);

	// put some trail particles
	int i;
	for(i=0; i<10; i++)
	{
		D3DXVECTOR3 v(0.0f, 0.0f, 0.0f);
		position_vector.push_back(v);
		size_vector.push_back(0.0f);
	}
}

//-------------------------------------------------------------
// destructor
//-------------------------------------------------------------
trail_particle::~trail_particle()
{}

#endif